be.fgov.ehealth.dics.protocol.v5

## Class PackagingMaterial

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.PackagingMaterial

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:57:43+01:00",
                 comments="JAXB RI v2.3.7")
      public class PackagingMaterial
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
             </sequence>
             <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackagingMaterial()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Gets the value of the code property.
    `ConsultTextType` | `getName()` Gets the value of the name property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setName(ConsultTextType value)` Sets the value of the name property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackagingMaterial

          public PackagingMaterial()

  - ### Method Detail

    - #### getName

          public ConsultTextType getName()

      Gets the value of the name property.
      Returns:
        possible object is `ConsultTextType`

    - #### setName

          public void setName(ConsultTextType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PHYSIOTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.